<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.18) on Thu Apr 13 13:55:05 BST 2023 -->
<title>Serialized Form</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-04-13">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.min.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<section>
<h2 title="Package">Package&nbsp;jisa.addresses</h2>
<ul class="blockList">
<li class="blockList"><a id="jisa.addresses.InvalidAddressFormatException">
<!--   -->
</a>
<h3>Class <a href="jisa/addresses/InvalidAddressFormatException.html" title="class in jisa.addresses">jisa.addresses.InvalidAddressFormatException</a> extends java.lang.Exception implements Serializable</h3>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section>
<h2 title="Package">Package&nbsp;jisa.control</h2>
<ul class="blockList">
<li class="blockList"><a id="jisa.control.DriverException">
<!--   -->
</a>
<h3>Class <a href="jisa/control/DriverException.html" title="class in jisa.control">jisa.control.DriverException</a> extends java.lang.Exception implements Serializable</h3>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section>
<h2 title="Package">Package&nbsp;jisa.devices</h2>
<ul class="blockList">
<li class="blockList"><a id="jisa.devices.DeviceException">
<!--   -->
</a>
<h3>Class <a href="jisa/devices/DeviceException.html" title="class in jisa.devices">jisa.devices.DeviceException</a> extends java.lang.Exception implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>message</h4>
<pre>java.lang.String message</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section>
<h2 title="Package">Package&nbsp;jisa.experiment.queue</h2>
<ul class="blockList">
<li class="blockList"><a id="jisa.experiment.queue.AbstractAction">
<!--   -->
</a>
<h3>Class <a href="jisa/experiment/queue/AbstractAction.html" title="class in jisa.experiment.queue">jisa.experiment.queue.AbstractAction</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>attributeListeners</h4>
<pre>java.util.List&lt;<a href="jisa/experiment/queue/Listener.html" title="interface in jisa.experiment.queue">Listener</a>&lt;<a href="jisa/experiment/queue/Action.html" title="interface in jisa.experiment.queue">Action</a>&lt;<a href="jisa/experiment/queue/AbstractAction.html" title="type parameter in AbstractAction">T</a>&gt;&gt;&gt; attributeListeners</pre>
</li>
<li class="blockList">
<h4>attributes</h4>
<pre>java.util.Map&lt;java.lang.String,&#8203;java.lang.String&gt; attributes</pre>
</li>
<li class="blockList">
<h4>childListeners</h4>
<pre>java.util.List&lt;<a href="jisa/experiment/queue/Listener.html" title="interface in jisa.experiment.queue">Listener</a>&lt;<a href="jisa/experiment/queue/Action.html" title="interface in jisa.experiment.queue">Action</a>&lt;<a href="jisa/experiment/queue/AbstractAction.html" title="type parameter in AbstractAction">T</a>&gt;&gt;&gt; childListeners</pre>
</li>
<li class="blockList">
<h4>isCritical</h4>
<pre>boolean isCritical</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre>java.lang.String name</pre>
</li>
<li class="blockList">
<h4>nameListeners</h4>
<pre>java.util.List&lt;<a href="jisa/experiment/queue/Listener.html" title="interface in jisa.experiment.queue">Listener</a>&lt;<a href="jisa/experiment/queue/Action.html" title="interface in jisa.experiment.queue">Action</a>&lt;<a href="jisa/experiment/queue/AbstractAction.html" title="type parameter in AbstractAction">T</a>&gt;&gt;&gt; nameListeners</pre>
</li>
<li class="blockList">
<h4>onEdit</h4>
<pre><a href="jisa/experiment/queue/Listener.html" title="interface in jisa.experiment.queue">Listener</a>&lt;<a href="jisa/experiment/queue/Action.html" title="interface in jisa.experiment.queue">Action</a>&lt;<a href="jisa/experiment/queue/AbstractAction.html" title="type parameter in AbstractAction">T</a>&gt;&gt; onEdit</pre>
</li>
<li class="blockList">
<h4>onFinish</h4>
<pre><a href="jisa/experiment/queue/Listener.html" title="interface in jisa.experiment.queue">Listener</a>&lt;<a href="jisa/experiment/queue/Action.html" title="interface in jisa.experiment.queue">Action</a>&lt;<a href="jisa/experiment/queue/AbstractAction.html" title="type parameter in AbstractAction">T</a>&gt;&gt; onFinish</pre>
</li>
<li class="blockList">
<h4>onStart</h4>
<pre><a href="jisa/experiment/queue/Listener.html" title="interface in jisa.experiment.queue">Listener</a>&lt;<a href="jisa/experiment/queue/Action.html" title="interface in jisa.experiment.queue">Action</a>&lt;<a href="jisa/experiment/queue/AbstractAction.html" title="type parameter in AbstractAction">T</a>&gt;&gt; onStart</pre>
</li>
<li class="blockList">
<h4>status</h4>
<pre><a href="jisa/experiment/queue/Action.Status.html" title="enum in jisa.experiment.queue">Action.Status</a> status</pre>
</li>
<li class="blockList">
<h4>statusListeners</h4>
<pre>java.util.List&lt;<a href="jisa/experiment/queue/Listener.html" title="interface in jisa.experiment.queue">Listener</a>&lt;<a href="jisa/experiment/queue/Action.html" title="interface in jisa.experiment.queue">Action</a>&lt;<a href="jisa/experiment/queue/AbstractAction.html" title="type parameter in AbstractAction">T</a>&gt;&gt;&gt; statusListeners</pre>
</li>
<li class="blockListLast">
<h4>tags</h4>
<pre>java.util.List&lt;java.lang.String&gt; tags</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a id="jisa.experiment.queue.ActionQueue">
<!--   -->
</a>
<h3>Class <a href="jisa/experiment/queue/ActionQueue.html" title="class in jisa.experiment.queue">jisa.experiment.queue.ActionQueue</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>isRunning</h4>
<pre>boolean isRunning</pre>
</li>
<li class="blockList">
<h4>isStopped</h4>
<pre>boolean isStopped</pre>
</li>
<li class="blockList">
<h4>listListeners</h4>
<pre>java.util.List&lt;<a href="jisa/experiment/queue/ActionQueue.ListListener.html" title="interface in jisa.experiment.queue">ActionQueue.ListListener</a>&lt;<a href="jisa/experiment/queue/Action.html" title="interface in jisa.experiment.queue">Action</a>&lt;?&gt;&gt;&gt; listListeners</pre>
</li>
<li class="blockList">
<h4>queue</h4>
<pre>java.util.List&lt;<a href="jisa/experiment/queue/Action.html" title="interface in jisa.experiment.queue">Action</a>&lt;?&gt;&gt; queue</pre>
</li>
<li class="blockList">
<h4>startActions</h4>
<pre><a href="jisa/experiment/queue/ActionQueue.html" title="class in jisa.experiment.queue">ActionQueue</a> startActions</pre>
</li>
<li class="blockListLast">
<h4>stopActions</h4>
<pre><a href="jisa/experiment/queue/ActionQueue.html" title="class in jisa.experiment.queue">ActionQueue</a> stopActions</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a id="jisa.experiment.queue.MeasurementAction">
<!--   -->
</a>
<h3>Class <a href="jisa/experiment/queue/MeasurementAction.html" title="class in jisa.experiment.queue">jisa.experiment.queue.MeasurementAction</a> extends <a href="jisa/experiment/queue/AbstractAction.html" title="class in jisa.experiment.queue">AbstractAction</a>&lt;<a href="jisa/results/ResultTable.html" title="class in jisa.results">ResultTable</a>&gt; implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>data</h4>
<pre><a href="jisa/results/ResultTable.html" title="class in jisa.results">ResultTable</a> data</pre>
</li>
<li class="blockList">
<h4>generator</h4>
<pre><a href="jisa/experiment/queue/MeasurementAction.NameGenerator.html" title="interface in jisa.experiment.queue">MeasurementAction.NameGenerator</a> generator</pre>
</li>
<li class="blockList">
<h4>lastException</h4>
<pre>java.lang.Exception lastException</pre>
</li>
<li class="blockList">
<h4>measurement</h4>
<pre><a href="jisa/experiment/Measurement.html" title="class in jisa.experiment">Measurement</a> measurement</pre>
</li>
<li class="blockList">
<h4>retryCount</h4>
<pre>int retryCount</pre>
</li>
<li class="blockListLast">
<h4>skip</h4>
<pre>boolean skip</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a id="jisa.experiment.queue.MeasurementSubAction">
<!--   -->
</a>
<h3>Class <a href="jisa/experiment/queue/MeasurementSubAction.html" title="class in jisa.experiment.queue">jisa.experiment.queue.MeasurementSubAction</a> extends <a href="jisa/experiment/queue/SimpleAction.html" title="class in jisa.experiment.queue">SimpleAction</a> implements Serializable</h3>
</li>
<li class="blockList"><a id="jisa.experiment.queue.SimpleAction">
<!--   -->
</a>
<h3>Class <a href="jisa/experiment/queue/SimpleAction.html" title="class in jisa.experiment.queue">jisa.experiment.queue.SimpleAction</a> extends <a href="jisa/experiment/queue/AbstractAction.html" title="class in jisa.experiment.queue">AbstractAction</a>&lt;java.lang.Void&gt; implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>isRunning</h4>
<pre>boolean isRunning</pre>
</li>
<li class="blockList">
<h4>lastException</h4>
<pre>java.lang.Exception lastException</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre>java.lang.String name</pre>
</li>
<li class="blockList">
<h4>runnable</h4>
<pre><a href="jisa/control/SRunnable.html" title="interface in jisa.control">SRunnable</a> runnable</pre>
</li>
<li class="blockList">
<h4>runningThread</h4>
<pre>java.lang.Thread runningThread</pre>
</li>
<li class="blockListLast">
<h4>skip</h4>
<pre>boolean skip</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a id="jisa.experiment.queue.SweepAction">
<!--   -->
</a>
<h3>Class <a href="jisa/experiment/queue/SweepAction.html" title="class in jisa.experiment.queue">jisa.experiment.queue.SweepAction</a> extends <a href="jisa/experiment/queue/AbstractAction.html" title="class in jisa.experiment.queue">AbstractAction</a>&lt;java.lang.Void&gt; implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>children</h4>
<pre>java.util.Map&lt;<a href="jisa/experiment/queue/SweepAction.html" title="type parameter in SweepAction">T</a>,&#8203;java.util.List&lt;<a href="jisa/experiment/queue/Action.html" title="interface in jisa.experiment.queue">Action</a>&gt;&gt; children</pre>
</li>
<li class="blockList">
<h4>exceptions</h4>
<pre>java.util.List&lt;java.lang.Exception&gt; exceptions</pre>
</li>
<li class="blockList">
<h4>finalActions</h4>
<pre>java.util.List&lt;<a href="jisa/experiment/queue/Action.html" title="interface in jisa.experiment.queue">Action</a>&gt; finalActions</pre>
</li>
<li class="blockList">
<h4>formatter</h4>
<pre><a href="jisa/experiment/queue/SweepAction.Formatter.html" title="interface in jisa.experiment.queue">SweepAction.Formatter</a>&lt;<a href="jisa/experiment/queue/SweepAction.html" title="type parameter in SweepAction">T</a>&gt; formatter</pre>
</li>
<li class="blockList">
<h4>generator</h4>
<pre><a href="jisa/experiment/queue/SweepAction.ActionGenerator.html" title="interface in jisa.experiment.queue">SweepAction.ActionGenerator</a>&lt;<a href="jisa/experiment/queue/SweepAction.html" title="type parameter in SweepAction">T</a>&gt; generator</pre>
</li>
<li class="blockList">
<h4>isRunning</h4>
<pre>boolean isRunning</pre>
</li>
<li class="blockList">
<h4>isStopped</h4>
<pre>boolean isStopped</pre>
</li>
<li class="blockList">
<h4>lastAction</h4>
<pre><a href="jisa/experiment/queue/Action.html" title="interface in jisa.experiment.queue">Action</a> lastAction</pre>
</li>
<li class="blockList">
<h4>lastValue</h4>
<pre><a href="jisa/experiment/queue/SweepAction.html" title="type parameter in SweepAction">T</a> lastValue</pre>
</li>
<li class="blockList">
<h4>subActions</h4>
<pre>java.util.List&lt;<a href="jisa/experiment/queue/Action.html" title="interface in jisa.experiment.queue">Action</a>&gt; subActions</pre>
</li>
<li class="blockList">
<h4>sweepMeasure</h4>
<pre><a href="jisa/experiment/Measurement.html" title="class in jisa.experiment">Measurement</a> sweepMeasure</pre>
</li>
<li class="blockList">
<h4>sweepValues</h4>
<pre>java.util.List&lt;<a href="jisa/experiment/queue/SweepAction.html" title="type parameter in SweepAction">T</a>&gt; sweepValues</pre>
</li>
<li class="blockListLast">
<h4>valueListeners</h4>
<pre>java.util.List&lt;<a href="jisa/experiment/queue/Listener.html" title="interface in jisa.experiment.queue">Listener</a>&lt;<a href="jisa/experiment/queue/SweepAction.html" title="type parameter in SweepAction">T</a>&gt;&gt; valueListeners</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a id="jisa.experiment.queue.SweepAction.MultiException">
<!--   -->
</a>
<h3>Class <a href="jisa/experiment/queue/SweepAction.MultiException.html" title="class in jisa.experiment.queue">jisa.experiment.queue.SweepAction.MultiException</a> extends java.lang.Exception implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>exceptions</h4>
<pre>java.util.List&lt;java.lang.Exception&gt; exceptions</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section>
<h2 title="Package">Package&nbsp;jisa.gui.plotting</h2>
<ul class="blockList">
<li class="blockList"><a id="jisa.gui.plotting.JISAAxis">
<!--   -->
</a>
<h3>Class <a href="jisa/gui/plotting/JISAAxis.html" title="class in jisa.gui.plotting">jisa.gui.plotting.JISAAxis</a> extends <a href="jisa/gui/plotting/JISADefaultAxis.html" title="class in jisa.gui.plotting">JISADefaultAxis</a> implements Serializable</h3>
</li>
<li class="blockList"><a id="jisa.gui.plotting.JISADefaultAxis">
<!--   -->
</a>
<h3>Class <a href="jisa/gui/plotting/JISADefaultAxis.html" title="class in jisa.gui.plotting">jisa.gui.plotting.JISADefaultAxis</a> extends de.gsi.chart.axes.spi.AbstractAxis implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>isLogAxis</h4>
<pre>boolean isLogAxis</pre>
</li>
<li class="blockList">
<h4>isUpdating</h4>
<pre>boolean isUpdating</pre>
</li>
<li class="blockListLast">
<h4>offset</h4>
<pre>double offset</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a id="jisa.gui.plotting.JISAErrorDataSet">
<!--   -->
</a>
<h3>Class <a href="jisa/gui/plotting/JISAErrorDataSet.html" title="class in jisa.gui.plotting">jisa.gui.plotting.JISAErrorDataSet</a> extends <a href="jisa/gui/plotting/TwoErrorDataSet.html" title="class in jisa.gui.plotting">TwoErrorDataSet</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>colour</h4>
<pre>javafx.beans.property.ObjectProperty&lt;javafx.scene.paint.Color&gt; colour</pre>
</li>
<li class="blockList">
<h4>dash</h4>
<pre>javafx.beans.property.ObjectProperty&lt;<a href="jisa/gui/Series.Dash.html" title="enum in jisa.gui">Series.Dash</a>&gt; dash</pre>
</li>
<li class="blockList">
<h4>errorColour</h4>
<pre>javafx.beans.property.ObjectProperty&lt;javafx.scene.paint.Color&gt; errorColour</pre>
</li>
<li class="blockList">
<h4>errorThickness</h4>
<pre>javafx.beans.property.ObjectProperty&lt;java.lang.Double&gt; errorThickness</pre>
</li>
<li class="blockList">
<h4>fit</h4>
<pre>javafx.beans.property.ObjectProperty&lt;<a href="jisa/maths/fits/Fit.html" title="interface in jisa.maths.fits">Fit</a>&gt; fit</pre>
</li>
<li class="blockList">
<h4>fitter</h4>
<pre>javafx.beans.property.ObjectProperty&lt;<a href="jisa/gui/Series.SeriesFitter.html" title="interface in jisa.gui">Series.SeriesFitter</a>&gt; fitter</pre>
</li>
<li class="blockList">
<h4>lineVisible</h4>
<pre>javafx.beans.property.ObjectProperty&lt;java.lang.Boolean&gt; lineVisible</pre>
</li>
<li class="blockList">
<h4>markerVisible</h4>
<pre>javafx.beans.property.ObjectProperty&lt;java.lang.Boolean&gt; markerVisible</pre>
</li>
<li class="blockList">
<h4>ordering</h4>
<pre>javafx.beans.property.ObjectProperty&lt;<a href="jisa/gui/Series.Ordering.html" title="enum in jisa.gui">Series.Ordering</a>&gt; ordering</pre>
</li>
<li class="blockList">
<h4>plot</h4>
<pre><a href="jisa/gui/Plot.html" title="class in jisa.gui">Plot</a> plot</pre>
</li>
<li class="blockList">
<h4>shape</h4>
<pre>javafx.beans.property.ObjectProperty&lt;<a href="jisa/gui/Series.Shape.html" title="enum in jisa.gui">Series.Shape</a>&gt; shape</pre>
</li>
<li class="blockList">
<h4>size</h4>
<pre>javafx.beans.property.ObjectProperty&lt;java.lang.Double&gt; size</pre>
</li>
<li class="blockListLast">
<h4>thickness</h4>
<pre>javafx.beans.property.ObjectProperty&lt;java.lang.Double&gt; thickness</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a id="jisa.gui.plotting.TwoErrorDataSet">
<!--   -->
</a>
<h3>Class <a href="jisa/gui/plotting/TwoErrorDataSet.html" title="class in jisa.gui.plotting">jisa.gui.plotting.TwoErrorDataSet</a> extends de.gsi.dataset.spi.AbstractErrorDataSet&lt;<a href="jisa/gui/plotting/TwoErrorDataSet.html" title="class in jisa.gui.plotting">TwoErrorDataSet</a>&gt; implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>8931518518245752926L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>xErrorsNeg</h4>
<pre>it.unimi.dsi.fastutil.doubles.DoubleArrayList xErrorsNeg</pre>
</li>
<li class="blockList">
<h4>xErrorsPos</h4>
<pre>it.unimi.dsi.fastutil.doubles.DoubleArrayList xErrorsPos</pre>
</li>
<li class="blockList">
<h4>xValues</h4>
<pre>it.unimi.dsi.fastutil.doubles.DoubleArrayList xValues</pre>
</li>
<li class="blockList">
<h4>yErrorsNeg</h4>
<pre>it.unimi.dsi.fastutil.doubles.DoubleArrayList yErrorsNeg</pre>
</li>
<li class="blockList">
<h4>yErrorsPos</h4>
<pre>it.unimi.dsi.fastutil.doubles.DoubleArrayList yErrorsPos</pre>
</li>
<li class="blockListLast">
<h4>yValues</h4>
<pre>it.unimi.dsi.fastutil.doubles.DoubleArrayList yValues</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section>
<h2 title="Package">Package&nbsp;jisa.maths</h2>
<ul class="blockList">
<li class="blockList"><a id="jisa.maths.ErrorValue">
<!--   -->
</a>
<h3>Class <a href="jisa/maths/ErrorValue.html" title="class in jisa.maths">jisa.maths.ErrorValue</a> extends java.lang.Number implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>error</h4>
<pre>double error</pre>
</li>
<li class="blockListLast">
<h4>value</h4>
<pre>double value</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section>
<h2 title="Package">Package&nbsp;jisa.maths.matrices.exceptions</h2>
<ul class="blockList">
<li class="blockList"><a id="jisa.maths.matrices.exceptions.DimensionException">
<!--   -->
</a>
<h3>Class <a href="jisa/maths/matrices/exceptions/DimensionException.html" title="class in jisa.maths.matrices.exceptions">jisa.maths.matrices.exceptions.DimensionException</a> extends <a href="jisa/maths/matrices/exceptions/MatrixException.html" title="class in jisa.maths.matrices.exceptions">MatrixException</a> implements Serializable</h3>
</li>
<li class="blockList"><a id="jisa.maths.matrices.exceptions.IndexException">
<!--   -->
</a>
<h3>Class <a href="jisa/maths/matrices/exceptions/IndexException.html" title="class in jisa.maths.matrices.exceptions">jisa.maths.matrices.exceptions.IndexException</a> extends <a href="jisa/maths/matrices/exceptions/MatrixException.html" title="class in jisa.maths.matrices.exceptions">MatrixException</a> implements Serializable</h3>
</li>
<li class="blockList"><a id="jisa.maths.matrices.exceptions.MatrixException">
<!--   -->
</a>
<h3>Class <a href="jisa/maths/matrices/exceptions/MatrixException.html" title="class in jisa.maths.matrices.exceptions">jisa.maths.matrices.exceptions.MatrixException</a> extends java.lang.RuntimeException implements Serializable</h3>
</li>
<li class="blockList"><a id="jisa.maths.matrices.exceptions.NonColException">
<!--   -->
</a>
<h3>Class <a href="jisa/maths/matrices/exceptions/NonColException.html" title="class in jisa.maths.matrices.exceptions">jisa.maths.matrices.exceptions.NonColException</a> extends <a href="jisa/maths/matrices/exceptions/MatrixException.html" title="class in jisa.maths.matrices.exceptions">MatrixException</a> implements Serializable</h3>
</li>
<li class="blockList"><a id="jisa.maths.matrices.exceptions.NonRowException">
<!--   -->
</a>
<h3>Class <a href="jisa/maths/matrices/exceptions/NonRowException.html" title="class in jisa.maths.matrices.exceptions">jisa.maths.matrices.exceptions.NonRowException</a> extends <a href="jisa/maths/matrices/exceptions/MatrixException.html" title="class in jisa.maths.matrices.exceptions">MatrixException</a> implements Serializable</h3>
</li>
<li class="blockList"><a id="jisa.maths.matrices.exceptions.NonSquareException">
<!--   -->
</a>
<h3>Class <a href="jisa/maths/matrices/exceptions/NonSquareException.html" title="class in jisa.maths.matrices.exceptions">jisa.maths.matrices.exceptions.NonSquareException</a> extends <a href="jisa/maths/matrices/exceptions/MatrixException.html" title="class in jisa.maths.matrices.exceptions">MatrixException</a> implements Serializable</h3>
</li>
<li class="blockList"><a id="jisa.maths.matrices.exceptions.SingularException">
<!--   -->
</a>
<h3>Class <a href="jisa/maths/matrices/exceptions/SingularException.html" title="class in jisa.maths.matrices.exceptions">jisa.maths.matrices.exceptions.SingularException</a> extends <a href="jisa/maths/matrices/exceptions/MatrixException.html" title="class in jisa.maths.matrices.exceptions">MatrixException</a> implements Serializable</h3>
</li>
<li class="blockList"><a id="jisa.maths.matrices.exceptions.SubMatrixException">
<!--   -->
</a>
<h3>Class <a href="jisa/maths/matrices/exceptions/SubMatrixException.html" title="class in jisa.maths.matrices.exceptions">jisa.maths.matrices.exceptions.SubMatrixException</a> extends <a href="jisa/maths/matrices/exceptions/MatrixException.html" title="class in jisa.maths.matrices.exceptions">MatrixException</a> implements Serializable</h3>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section>
<h2 title="Package">Package&nbsp;jisa.visa</h2>
<ul class="blockList">
<li class="blockList"><a id="jisa.visa.VISAException">
<!--   -->
</a>
<h3>Class <a href="jisa/visa/VISAException.html" title="class in jisa.visa">jisa.visa.VISAException</a> extends java.io.IOException implements Serializable</h3>
</li>
</ul>
</section>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
